Subject: [alpine-devel] [PATCH] testing/sqsh: new aport

From: Jeff Bilyk <[email-masked]>
Date: Wed, 25 May 2011 22:52:09 -0400

testing/sqsh: new aport
---
 testing/sqsh/APKBUILD |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)
 create mode 100644 testing/sqsh/APKBUILD

diff --git a/testing/sqsh/APKBUILD b/testing/sqsh/APKBUILD
new file mode 100644
index 0000000..73bf07a
--- /dev/null
+++ b/testing/sqsh/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Ashton Spencer <[email-masked]>
+# Maintainer:
+pkgname=sqsh
+pkgver=2.1.7
+pkgrel=0
+pkgdesc="Sybase iSQL replacement"
+url="http://www.sqsh.org"
+arch="all"
+license="GPL"
+depends="freetds readline"
+depends_dev="freetds-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	SYBASE=/usr
+	export SYBASE
+	./configure --prefix=/usr \
+		--mandir=/usr/share/doc \
+#		--with-x \
+		--with-readline
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" install.man || return 1
+}
+
+md5sums="ce929dc8e23cedccac98288d24785e2d  sqsh-2.1.7.tar.gz"
-- 
1.7.5.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---